<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon Oct 30 10:31:36 CET 2023 -->
<title>Garagiste</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-10-30">
<meta name="description" content="declaration: package: org.exo.models, class: Garagiste">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#class">Help</a></li>
</ul>
<ul class="sub-nav-list-small">
<li>
<p>Summary:</p>
<ul>
<li>Nested</li>
<li>Field</li>
<li><a href="#constructor-summary">Constr</a></li>
<li><a href="#method-summary">Method</a></li>
</ul>
</li>
<li>
<p>Detail:</p>
<ul>
<li>Field</li>
<li><a href="#constructor-detail">Constr</a></li>
<li><a href="#method-detail">Method</a></li>
</ul>
</li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list">
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><a href="../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">org.exo.models</a></div>
<h1 title="Class Garagiste" class="title">Class Garagiste</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance"><a href="Personnage.html" title="class in org.exo.models">org.exo.models.Personnage</a>
<div class="inheritance">org.exo.models.Garagiste</div>
</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../interfaces/IMetier.html" title="interface in org.exo.interfaces">IMetier</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Garagiste</span>
<span class="extends-implements">extends <a href="Personnage.html" title="class in org.exo.models">Personnage</a>
implements <a href="../interfaces/IMetier.html" title="interface in org.exo.interfaces">IMetier</a></span></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E()" class="member-name-link">Garagiste</a>()</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-constructor-name odd-row-color"><code><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.Integer,java.lang.Integer)" class="member-name-link">Garagiste</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;pseudo,
 <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;sexe,
 <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;taille,
 <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;longueurCheveux)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#effectuerTravail(int,org.exo.models.Vehicule,org.exo.models.Personnage)" class="member-name-link">effectuerTravail</a><wbr>(int&nbsp;choix,
 <a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Cette méthode appelle une autre méthode en fonction du choix saisit par l'utilisateur.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#facturerClient(org.exo.models.Personnage,int)" class="member-name-link">facturerClient</a><wbr>(<a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage,
 int&nbsp;tarif)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Cette méthode débite un personnage selon un tarif passé en paramètre.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>int</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#listerCompetences()" class="member-name-link">listerCompetences</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Cette méthode liste les compétences d'un garagiste definies dans la constante de type ArrayList "COMPETENCES_GARAGISTE".</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#reparerCarrosserie(org.exo.models.Vehicule,org.exo.models.Personnage)" class="member-name-link">reparerCarrosserie</a><wbr>(<a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Cette méthode reset au max les points de vie de la carrosserie d'un véhicule et facture le personnage.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#reparerMoteur(org.exo.models.Vehicule,org.exo.models.Personnage)" class="member-name-link">reparerMoteur</a><wbr>(<a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Cette méthode reset au max les points de vie du moteur d'un véhicule et facture le personnage.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#repeindreVehicule(org.exo.models.Vehicule,org.exo.models.Personnage)" class="member-name-link">repeindreVehicule</a><wbr>(<a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Cette méthode change la couleur de la carrosserie d'un véhicule et facture le personnage.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-org.exo.models.Personnage">Methods inherited from class&nbsp;org.exo.models.<a href="Personnage.html" title="class in org.exo.models">Personnage</a></h3>
<code><a href="Personnage.html#addVetement(org.exo.models.Vetement)">addVetement</a>, <a href="Personnage.html#getArgent()">getArgent</a>, <a href="Personnage.html#getLongueurCheveux()">getLongueurCheveux</a>, <a href="Personnage.html#getPseudo()">getPseudo</a>, <a href="Personnage.html#getSexe()">getSexe</a>, <a href="Personnage.html#getTaille()">getTaille</a>, <a href="Personnage.html#getVehicules()">getVehicules</a>, <a href="Personnage.html#getVetements()">getVetements</a>, <a href="Personnage.html#setArgent(java.lang.Integer)">setArgent</a>, <a href="Personnage.html#setLongueurCheveux(java.lang.Integer)">setLongueurCheveux</a>, <a href="Personnage.html#setTailleTotale()">setTailleTotale</a>, <a href="Personnage.html#setVehicules(org.exo.models.Vehicule)">setVehicules</a></code></div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Garagiste</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Garagiste</span>()</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.Integer,java.lang.Integer)">
<h3>Garagiste</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Garagiste</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;pseudo,
 <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;sexe,
 <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;taille,
 <a href="https://docs.oracle.com/en/java/javase/21/docs/api/java.base/java/lang/Integer.html" title="class or interface in java.lang" class="external-link">Integer</a>&nbsp;longueurCheveux)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="listerCompetences()">
<h3>listerCompetences</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">listerCompetences</span>()</div>
<div class="block">Cette méthode liste les compétences d'un garagiste definies dans la constante de type ArrayList "COMPETENCES_GARAGISTE".
 Elle renvoie le choix (entier) qu'aura saisi l'utilisateur.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../interfaces/IMetier.html#listerCompetences()">listerCompetences</a></code>&nbsp;in interface&nbsp;<code><a href="../interfaces/IMetier.html" title="interface in org.exo.interfaces">IMetier</a></code></dd>
<dt>Returns:</dt>
<dd>choix : int</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="effectuerTravail(int,org.exo.models.Vehicule,org.exo.models.Personnage)">
<h3>effectuerTravail</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">effectuerTravail</span><wbr><span class="parameters">(int&nbsp;choix,
 <a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</span></div>
<div class="block">Cette méthode appelle une autre méthode en fonction du choix saisit par l'utilisateur.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../interfaces/IMetier.html#effectuerTravail(int,org.exo.models.Vehicule,org.exo.models.Personnage)">effectuerTravail</a></code>&nbsp;in interface&nbsp;<code><a href="../interfaces/IMetier.html" title="interface in org.exo.interfaces">IMetier</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="facturerClient(org.exo.models.Personnage,int)">
<h3>facturerClient</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">facturerClient</span><wbr><span class="parameters">(<a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage,
 int&nbsp;tarif)</span></div>
<div class="block">Cette méthode débite un personnage selon un tarif passé en paramètre.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../interfaces/IMetier.html#facturerClient(org.exo.models.Personnage,int)">facturerClient</a></code>&nbsp;in interface&nbsp;<code><a href="../interfaces/IMetier.html" title="interface in org.exo.interfaces">IMetier</a></code></dd>
<dt>Parameters:</dt>
<dd><code>personnage</code> - <a href="Personnage.html" title="class in org.exo.models"><code>Personnage</code></a></dd>
<dd><code>tarif</code> - int</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="reparerCarrosserie(org.exo.models.Vehicule,org.exo.models.Personnage)">
<h3>reparerCarrosserie</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">reparerCarrosserie</span><wbr><span class="parameters">(<a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</span></div>
<div class="block">Cette méthode reset au max les points de vie de la carrosserie d'un véhicule et facture le personnage.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>vehicule</code> - <a href="Vehicule.html" title="class in org.exo.models"><code>Vehicule</code></a></dd>
<dd><code>personnage</code> - <a href="Personnage.html" title="class in org.exo.models"><code>Personnage</code></a></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="reparerMoteur(org.exo.models.Vehicule,org.exo.models.Personnage)">
<h3>reparerMoteur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">reparerMoteur</span><wbr><span class="parameters">(<a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</span></div>
<div class="block">Cette méthode reset au max les points de vie du moteur d'un véhicule et facture le personnage.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>vehicule</code> - <a href="Vehicule.html" title="class in org.exo.models"><code>Vehicule</code></a></dd>
<dd><code>personnage</code> - <a href="Personnage.html" title="class in org.exo.models"><code>Personnage</code></a></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="repeindreVehicule(org.exo.models.Vehicule,org.exo.models.Personnage)">
<h3>repeindreVehicule</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">repeindreVehicule</span><wbr><span class="parameters">(<a href="Vehicule.html" title="class in org.exo.models">Vehicule</a>&nbsp;vehicule,
 <a href="Personnage.html" title="class in org.exo.models">Personnage</a>&nbsp;personnage)</span></div>
<div class="block">Cette méthode change la couleur de la carrosserie d'un véhicule et facture le personnage.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>vehicule</code> - <a href="Vehicule.html" title="class in org.exo.models"><code>Vehicule</code></a></dd>
<dd><code>personnage</code> - <a href="Personnage.html" title="class in org.exo.models"><code>Personnage</code></a></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
